Module ij
Package ij.plugin

# Class StackMaker

java.lang.Object
ij.plugin.StackMaker

All Implemented Interfaces:
  `PlugIn`

public class StackMaker extends Object implements PlugIn
The plugin implements the Image/Stacks/Tools/Montage to Stack command. It creates a w*h image stack from an wxh image montage. This is the opposite of what the "Make Montage" command does. 2010.04.20,TF: Final stack can be cropped to remove border around frames.

## Constructor Summary

Constructors
Constructor
Description
`StackMaker()`

## Method Summary

Modifier and Type
Method
Description
`ImageStack`
`makeStack(ImageProcessor ip, int rows, int columns, int border)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StackMaker

public StackMaker()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### makeStack

public ImageStack makeStack(ImageProcessor ip, int rows, int columns, int border)